--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 14/425
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              07-MAR-14   Generis           13.1
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 14/425
PROMPT
PROMPT Version 13.1
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Amend name for QUA as SUP (and GAO). (MDD 14/425)
PROMPT
--
SET SCAN OFF
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                        SET MARKET_PARTICIPANT_NAME = ''DONG ENERGY SALES (UK) LIMITED'',
                            LAST_UPDATE_USER_ID = ''MDD_14_425'',
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''SHEL''
                        AND MARKET_PARTICIPANT_ABBR_NAME = ''QUA''';
	
EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET MARKET_PARTICIPANT_ROLE_NAME = ''DONG ENERGY SALES (UK) LIMITED (GAO)'',
                            LAST_UPDATE_USER_ID = ''MDD_14_425'',
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''SHEL''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET MARKET_PARTICIPANT_ROLE_NAME = ''DONG ENERGY SALES (UK) LIMITED (SUP)'',
                            LAST_UPDATE_USER_ID = ''MDD_14_425'',
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''SHEL''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''SUP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column or row_exists THEN
    NULL;
END;
/

SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
